<template>
  <cabinet-layout nav-active="inbox">
    <div
      slot="block-content"
      class="inbox">
      <submenu
        menu-active="inbox"
        item-active=""/>
      <div class="container">
        <div class="title-mobile">Входящие запросы</div>
        <div class="block search mobilshow">
          <div class="block-input-btn">
            <div class="ui icon input">
              <input
                type="text"
                placeholder="Запчасть, авто, покупатель"
                id="search1"
                name="search">
            </div>
            <button class="ui button blue small">
              <i
                data-v-2534a6ed=""
                class="icon search"/>
            </button>
          </div>
        </div>
        <div class="block top">
          <div
            :class="{ active: displayMobile === 'result' }"
            class="title">
            Всего заказов: 300&nbsp;
            <span class="red">(226)</span>
          </div>
          <div
            @click="changeDisplay"
            class="ui button blue circular mobilshow">
            <span v-if="displayMobile === 'result'">Фильтры (2)</span>
            <span v-if="displayMobile === 'filters'">
              <img
                svg-inline
                src="~/assets/svg/arrow/left.svg">
              Назад
            </span>
          </div>
        </div>
        <div
          :class="{ active: displayMobile === 'filters' }"
          class="block settings">
          <div class="group select-type-status">
            <div class="setting type-request">
              <div class="toggle">
                <button
                  type="button"
                  class="item"
                  :class="{ active: activeTypeRequest === p.value }"
                  @click="selectTypeRequest(p)"
                  v-for="(p, index0) in typeRequest"
                  :key="index0">
                  <span>{{ p.text }}</span>
                  <span v-if="p.countAll > 0">{{ p.countAll }}</span>
                  <span
                    v-if="p.countNew > 0"
                    class="red">({{ p.countNew }})</span>
                </button>
              </div>

            </div>
            <div class="setting status">
              <ul class="selection-status desktopshow">
                <li class="item active">
                  <button
                    type="button"
                    class="aqualink">Все 66</button>
                </li>
                <li
                  v-for="(s, index) in 5"
                  :key="index"
                  class="item">
                  <button
                    type="button"
                    class="aqualink">Lorem ipsum
                  </button>
                  <span class="red">(5)</span>
                </li>
              </ul>
              <multiselect
                v-model="filters.status"
                class="mobilshow"
                :options="list.filterStatus"
                label="name"
                track-by="id"
                id="filterStatus"
                :allow-empty="false"
                :searchable="false"
                :show-labels="false"
                :preselect-first="false"
                placeholder="Статус заказа"/>
            </div>
          </div>
          <div class="group search-filters">
            <div class="label mobilshow">Период</div>
            <div class="setting interval-manual">
              <!-- тут новый VUE DATEPCIKER COMPONENT -->
              <div class="ui input">
                <input
                  type="text"
                  placeholder="От">
              </div>
              <div class="ui input">
                <input
                  type="text"
                  placeholder="До">
              </div>
              <!--    -->
            </div>
            <div class="setting search">
              <div class="block-input-btn">
                <div class="ui icon input">
                  <input
                    type="text"
                    placeholder="Запчасть, авто, покупатель"
                    id="search2"
                    name="search">
                </div>
                <button class="ui button blue small">Найти</button>
              </div>
            </div>
            <div class="actions desktopshow">
              <button
                type="button"
                class="aqualink">Сбросить фильтры
              </button>
              <button
                type="button"
                class="aqualink">Удалить записи
              </button>
            </div>
          </div>
          <div class="group table-filters mobilshow">
            <multiselect
              v-model="filters.customer"
              class="mobilshow"
              :options="list.filterExample"
              label="name"
              track-by="id"
              id="filterCustomer"
              :allow-empty="false"
              :searchable="false"
              :show-labels="false"
              :preselect-first="false"
              placeholder="Покупатель"/>
            <multiselect
              v-model="filters.car"
              class="mobilshow"
              :options="list.filterExample"
              label="name"
              track-by="id"
              id="filterCar"
              :allow-empty="false"
              :searchable="false"
              :show-labels="false"
              :preselect-first="false"
              placeholder="Авто/Производитель"/>
            <multiselect
              v-model="filters.partName"
              class="mobilshow"
              :options="list.filterExample"
              label="name"
              track-by="id"
              id="filterPartName"
              :allow-empty="false"
              :searchable="false"
              :show-labels="false"
              :preselect-first="false"
              placeholder="Запчасти/Работы"/>
            <div class="label">Стоимость</div>
            <div class="setting interval-manual">
              <!-- тут новый VUE DATEPCIKER COMPONENT -->
              <div class="ui input">
                <input
                  type="text"
                  placeholder="От">
              </div>
              <div class="ui input">
                <input
                  type="text"
                  placeholder="До">
              </div>
              <!--    -->
            </div>
          </div>
          <div class="group table-sort mobilshow">
            <div class="label">Сортировка</div>
            <div class="item">
              <div class="label">По дате:</div>
              <div class="ui radio checkbox">
                <input
                  type="radio"
                  id="radio-100"
                  name="order">
                <label for="radio-100">Сначала новые</label>
              </div>
              <div class="ui radio checkbox">
                <input
                  type="radio"
                  id="radio-101"
                  name="order">
                <label for="radio-101">Сначала старые</label>
              </div>
            </div>
            <div class="item">
              <div class="label">По цене:</div>
              <div class="ui radio checkbox">
                <input
                  type="radio"
                  id="radio-200"
                  name="order">
                <label for="radio-200">По возрастанию</label>
              </div>
              <div class="ui radio checkbox">
                <input
                  type="radio"
                  id="radio-201"
                  name="order">
                <label for="radio-201">По убыванию</label>
              </div>
            </div>
          </div>
          <div class="group button-actions mobilshow">
            <button class="ui button blue inverted thin fluid">Сбросить</button>
            <button
              @click="changeDisplay"
              class="ui button yellow fluid">Показать
            </button>
          </div>
        </div>

        <div
          :class="{ active: displayMobile === 'result' }"
          class="block result">
          <results-table :requests="requests"/>
        </div>
      </div>
    </div>

    <div slot="line-modal"/>

  </cabinet-layout>
</template>

<script>
import CabinetLayout from '~/components/redesign/cabinet/main-layout';
import Submenu from '~/components/redesign/cabinet/submenu';
import Multiselect from 'vue-multiselect';
import ResultsTable from '~/components/redesign/cabinet/results-table-inbox-requests';

export default {
  name: 'Inbox',
  components: {
    CabinetLayout,
    Submenu,
    Multiselect,
    ResultsTable,
  },
  layout: 'cabinet',
  data() {
    return {
      displayMobile: 'result',
      activeTypeRequest: 'all',
      filters: {
        status: null,
        customer: null,
        car: null,
        partName: null,
      },
      requests: [
        {
          date: '08.03.19 10:47',
          type: 'VIN запрос',
          number: '',
          status: 'Новый',
          price: 2000,
          customer:
            {
              name: 'Игорь Игорь Игорь Игорь Игорь',
              geo: 'Кемерово',
            },
          logo: null,
          car:
            {
              mark: 'Chevrolet',
              model: 'TrailBlazer TrailBlazer',
              year: '2014',
              vin: 'XUF156FH0D3004134',
            },
          part:
            {
              name: 'Поршневая в сборе',
              code: '',
              type: 'Новая',
              count: '1',
            },
          isViewed: false,
        },
        {
          date: '26.01.19 05:12',
          type: 'VIN запрос',
          number: '',
          status: 'Сделано предложение',
          price: 0,
          customer:
            {
              name: 'Станислав',
              geo: 'Красноярск',
            },
          logo: null,
          car:
            {
              mark: 'Opel',
              model: 'Antara',
              year: '2013',
              vin: '',
            },
          part:
            {
              name: 'Коробка раздаточная',
              code: '24263576',
              type: 'Новая или контрактная',
              count: '1',
            },
          isViewed: true,
        },
        {
          date: '06.02.19 15:22',
          type: 'Заказ',
          number: '8997',
          status: 'Отменен',
          price: null,
          customer:
            {
              name: 'Константин',
              geo: 'Петропавловск-Комчатский',
            },
          logo: null,
          car:
            {
              mark: 'GENERAL MOTORS',
              model: '',
              year: '',
              vin: '',
            },
          part: {
            name: 'Лампа автомобильная автомобильная автомобильная автомобильная',
            code: '94535590',
            type: '',
            count: '1',
          },
          isViewed: true,
        },
        {
          date: '06.02.19 15:22',
          type: 'Заказ',
          number: '8997',
          status: 'Отправлено',
          price: 286,
          customer:
            {
              name: 'Константин',
              geo: 'Петропавловск-Комчатский',
            },
          logo: 'https://gisauto.ru/bundles/gisautoweb/images/catalog/parts_manufacturers/209.png',
          car:
            {
              mark: 'GENERAL MOTORS',
              model: '',
              year: '',
              vin: '',
            },
          part:
            {
              name: 'Лампа автомобильная ',
              code: '94535590',
              type: '',
              count: '100',
            },
          isViewed: false,
        },
      ],
      typeRequest: [
        {
          value: 'all',
          text: 'Все',
          countAll: null,
          countNew: null,
        },
        {
          value: 'order:',
          text: 'Заказ: ',
          countAll: 2555,
          countNew: 200,
        },
        {
          value: 'vinrequest',
          text: 'VIN запрос: ',
          countAll: 10,
          countNew: 1,
        },
        {
          value: 'widgetrequest',
          text: 'VIN виджет запрос: ',
          countAll: 5,
          countNew: 5,
        },
        {
          value: 'repair',
          text: 'Ремонт: ',
          countAll: 9,
          countNew: 0,
        },
      ],
      list: {
        filterStatus: [
          {
            id: 'status1',
            name: 'Новый',
          },
          {
            id: 'status2',
            name: 'Сделано предложение',
          },
          {
            id: 'status3',
            name: 'В работе',
          },
          {
            id: 'status4',
            name: 'Отправлено',
          },
          {
            id: 'status5',
            name: 'Завершен',
          },
          {
            id: 'status6',
            name: 'Отменен',
          },
        ],
        filterExample: [
          {
            id: 'e1',
            name: '11111',
          },
          {
            id: 'e2',
            name: '222222222',
          },
          {
            id: 'e3',
            name: '333333',
          },
          {
            id: 'e4',
            name: '44444444444444',
          },
          {
            id: 'e5',
            name: '55555555',
          },
          {
            id: 'e6',
            name: '6666666',
          },
        ],
      },
    };
  },
  methods: {
    selectTypeRequest(req) {
      this.activeTypeRequest = req.value;
    },
    changeDisplay() {
      this.displayMobile = this.displayMobile === 'filters' ? 'result' : 'filters';
    },
  },
};
</script>

<style lang="postcss">
  .inbox {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: stretch;
    width: 100%;
    .container {
      display: flex;
      flex-flow: row wrap;
      justify-content: flex-start;
      align-items: flex-start;
      padding: 1.5rem;
      @media screen and (max-width: 980px) {
        height: 100%;
        padding: 1.5rem 0 0;
        flex-flow: column nowrap;
        position: relative;
      }

      .red {
        color: #e13c3c;
      }
      .aqualink[type='button'] {
        outline: none;
        box-shadow: none;
        background: none;
        border: none;
        padding: 0;
        margin: 0;
        font: inherit;
        color: inherit;
        cursor: pointer;
        &:hover, &.active {
          color: #558fcc;
          text-decoration: underline;
        }
        &.active {
          pointer-events: none;
        }
      }

      .label {
        display: block;
        padding: 0.5rem 0 0;
        font-size: 0.9375rem;
        font-weight: 500;
      }

      .title-mobile {
        @media screen and (max-width: 980px) {
          display: block;
          width: 100%;
          background-color: #fff;
          font-size: 1.3125rem;
          font-weight: 700;
          padding: 0 1.5rem;
          position: relative;
          z-index: 6;
        }
        @media screen and (min-width: 981px) {
          display: none;
        }
      }

      .title {
        display: block;
        font-size: 0.875rem;
        line-height: 1;
        font-weight: 500;
        padding: 0;
        @media screen and (max-width: 980px) {
          &:not(.active) {
            display: none;
          }
        }
        @media screen and (min-width: 981px) {

        }
      }

      .block.search {
        @media screen and (max-width: 980px) {
          position: sticky;
          z-index: 5;
          top: 3.5rem;
          left: 0;
          right: 0;
          width: 100%;
          margin: 0;
          padding: 1rem 1.5rem;
          background-color: #fff;
          box-shadow: 0 4px 9px rgba(0, 0, 0, 0.16);
        }
      }

      .block.top {
        @media screen and (max-width: 980px) {
          flex: 1 0 auto;
          display: flex;
          flex-flow: row nowrap;
          justify-content: space-between;
          align-items: center;
          width: 100%;
          padding: 1rem 1.5rem;
          background-color: rgba(243, 243, 243, 0.5);
          .ui.button {
            font-size: 0.75rem;
            padding: 0.125rem 1rem;
            white-space: nowrap;
            .svg {
              display: inline-block;
              margin: -0.125rem 0.25rem 0 0;
              fill: #fff;
              height: 0.625rem;
            }
          }
        }
      }

      .block.settings {
        display: flex;
        justify-content: flex-start;
        align-items: flex-start;
        width: 100%;
        @media screen and (min-width: 981px) {
          flex-flow: row nowrap;
          padding: 1.25rem 0 1rem;
        }
        @media screen and (max-width: 980px) {
          flex-flow: column nowrap;
          height: 100%;
          padding: 0.5rem 1.5rem 1rem;
          background-color: rgba(243, 243, 243, 0.5);
          &:not(.active) {
            display: none;
          }
        }
        .group.select-type-status {
          flex: 0 1 auto;
          display: block;
          width: auto;
          @media screen and (min-width: 981px) {
            min-width: 38rem;
          }
          @media screen and (max-width: 980px) {
            width: 100%;
          }
        }
        .group.search-filters {
          flex: 0 1 100%;
          display: flex;
          flex-flow: row wrap;
          justify-content: space-between;
          align-items: center;
          width: auto;
          @media screen and (min-width: 981px) {
            padding-left: 2rem;
            margin: 0 0 0 auto;
            position: relative;
            .setting {
              margin-bottom: 0.5rem;
              + .setting {
                padding-left: 1rem;
              }
            }
          }
          @media screen and (max-width: 980px) {
            flex: 0 1 auto;
            width: 100%;
          }
        }
        .group.table-filters {
          flex: 0 1 auto;
          width: 100%;
          .multiselect {
            margin-top: 0.6875rem;
          }
        }
        .group.table-sort {
          flex: 0 1 auto;
          width: 100%;
          padding: 1rem 0 2rem 0;
          .item {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: space-between;
            align-items: center;
            max-width: 20rem;
            .label {
              display: block;
              width: 100%;
              font-size: 0.8125rem;
              font-weight: 500;
              line-height: 1;
              padding: 0.75rem 0;
            }
            .ui.checkbox {
              width: 50%;
            }
            .ui.checkbox label {
              font-size: 0.8125rem;
              white-space: nowrap;
            }
          }
        }
        .group.button-actions {
          flex: 0 1 auto;
          display: flex;
          flex-flow: row nowrap;
          justify-content: space-between;
          align-items: stretch;
          width: 100%;
          margin-top: 0.6875rem;
        }

        .setting.status {
          display: block;
          width: auto;
          padding: 0.5rem 0 0;
          @media screen and (max-width: 980px) {
            padding-top: 0.6875rem;
          }
        }
        .setting.interval-manual {
          display: flex;
          flex-flow: row nowrap;
          justify-content: space-between;
          align-items: stretch;
          @media screen and (min-width: 981px) {
            margin-left: auto;
            width: 12rem;
            .ui.input {
              width: calc(50% - 0.125rem);
              + .ui.input {
                margin-left: 0.25rem;
              }
              input {
                padding-left: 0.675rem;
                padding-right: 0.675rem;
              }
            }
          }
          @media screen and (max-width: 980px) {
            margin-top: 0.6875rem;
            width: 100%;
            .ui.input {
              width: calc(50% - 0.4375rem);
              + .ui.input {
                margin-left: 0.875rem;
              }
              &:first-child:after {
                content: '';
                position: absolute;
                right: -0.875rem;
                top: 0;
                bottom: 0;
                width: 0.875rem;
                background-size: 0.375rem auto;
                background-repeat: no-repeat;
                background-position: center;
                background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA0Ljk5NCAxMCI+DQogIDxkZWZzPg0KICAgIDxzdHlsZT4NCiAgICAgIC5jbHMtMSB7DQogICAgICAgIGZpbGw6ICM2YTdiODc7DQogICAgICB9DQogICAgPC9zdHlsZT4NCiAgPC9kZWZzPg0KICA8cGF0aCBpZD0iUGF0aF8xNjM2IiBkYXRhLW5hbWU9IlBhdGggMTYzNiIgY2xhc3M9ImNscy0xIiBkPSJNMCwwSDEwTDQuOTc5LDQuOTk0WiIgdHJhbnNmb3JtPSJ0cmFuc2xhdGUoLTAuMDAxIDEwKSByb3RhdGUoLTkwKSIvPg0KPC9zdmc+DQo=");
              }
            }
          }
        }
        .setting.search {
          width: 50%;
          min-width: 21rem;
          max-width: 27rem;
          margin: 0;
          @media (min-width: 981px) and (max-width: 1439px) {
            position: absolute;
            right: 0;
            bottom: 100%;
            width: 23rem;
          }
          @media screen and (max-width: 980px) {
            display: none;
          }
        }
        .actions {
          display: flex;
          flex-flow: row nowrap;
          justify-content: flex-end;
          align-items: center;
          width: 100%;
          font-size: 0.6875rem;
          line-height: 1.5;
          font-weight: 400;
          color: #9badb9;
          .aqualink {
            display: block;
            + .aqualink {
              margin-left: 0.875rem;
            }
          }
        }

      }

      .block.result {
        width: 100%;
        height: auto;
        @media screen and (max-width: 980px) {
          background-color: rgba(243, 243, 243, 0.5);
          padding: 0 1rem 2rem;
          &:not(.active) {
            display: none;
          }
        }
      }

      .toggle {
        display: flex;
        flex-flow: row nowrap;
        justify-content: flex-start;
        align-items: center;
        width: auto;
        > .item {
          display: inline-flex;
          justify-content: center;
          align-items: center;
          width: auto;
          min-width: 4.5rem;
          height: 2rem;
          outline: none;
          box-shadow: none;
          padding: .5rem 1rem;
          margin-right: -1px;
          font-size: 0.8125rem;
          line-height: 1;
          font-weight: 500;
          white-space: nowrap;
          color: #272727;
          cursor: pointer;
          background-color: #ededed;
          border: 1px solid #9badb9;
          border-radius: 0;
          span + span {
            padding-left: 0.25rem;
          }
          &:hover {
            background-color: #e5eaf5;
          }
          &.active {
            background-color: #fff;
            cursor: default;
            pointer-events: none;
          }

          &:last-child {
            border-top-right-radius: 0.1875rem;
            border-bottom-right-radius: 0.1875rem;
          }
          &:first-child {
            border-top-left-radius: 0.1875rem;
            border-bottom-left-radius: 0.1875rem;
          }
        }
        @media screen and (max-width: 980px) {
          flex-flow: row wrap;
          justify-content: space-between;
          > .item {
            height: 2.5rem;
            font-size: 0.9375rem;
            flex: 1 0 auto;
            margin-bottom: -1px;
          }
        }
      }

      .selection-status {
        display: block;
        width: auto;
        margin: 0;
        padding: 0;
        font-size: 0.6875rem;
        line-height: 1.5;
        font-weight: 400;
        color: #9badb9;
        > .item {
          display: inline-block;
          font: inherit;
          color: inherit;
          &:not(:first-child):before {
            content: '•';
            display: inline-block;
            padding: 0 0.25rem;
          }
          .aqualink {
            display: inline;
          }
          &.active {
            .aqualink {
              color: #558FCC;
              text-decoration: underline;
            }
          }
        }
      }

      .block-input-btn {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: stretch;
        .ui.input {
          flex: 0 1 auto;
          input {
            border-top-right-radius: 0;
            border-bottom-right-radius: 0;
          }
        }
        .ui.button {
          margin: 0;
          border-top-left-radius: 0;
          border-bottom-left-radius: 0;
        }
        @media screen and (max-width: 980px) {
          position: relative;
          max-width: 30rem;
          margin: 0 auto;
          .ui.button {
            position: absolute;
            right: 0;
            top: 0;
            bottom: 0;
            width: 3rem;
            background: none;
            border: none;
            padding: .5rem 0.75rem !important;
            i.icon.search {
              margin: 0;
              width: 1.18em;
              height: auto;
              color: #1b1c1d;
              opacity: 0.25;
            }
          }
          .ui.input {
            width: 100%;
            input {
              border-radius: 1.4375rem;
              border-color: #728896;
              background-color: #fff;
            }
          }
        }
        @media screen and (min-width: 981px) {
          .ui.button {
            flex: 0 1 6rem;
          }
          .ui.input {
            flex: 0 1 100%;
            max-width: calc(100% - 6rem);
          }
        }
      }
    }
  }
</style>
